rkt - App Container runtime(1)

NAME

rkt-gc - Garbage collect rkt pods no longer in use

SYNOPSIS

rkt gc [--grace-period=duration] [--expire-prepared=duration] [flags]

DESCRIPTION

This is intended to be run periodically from a timer or cron job.

Garbage collection is a 2-step process. First, stopped pods are moved to the garbage by one invocation of the gc command. A subsequent invocation will clean up the pod, assuming the pod has been in the garbage for more time than the specified grace period.

Use --grace-period=0s to effectively disable the grace-period.

OPTIONS

--expire-prepared=24h0m0s
    duration to wait before expiring prepared pods

--grace-period=30m0s
    duration to wait before discarding inactive pods from garbage

-h, --help[=false]
    help for gc

--mark-only[=false]
    if set to true, then the exited/aborted pods will be moved to the garbage directories without actually deleting them, this is useful for marking the exit time of a pod

OPTIONS INHERITED FROM PARENT COMMANDS

--debug[=false]
    print out more debug information to stderr

--dir=/var/lib/rkt
    rkt data directory

--insecure-options=none
    comma-separated list of security features to disable. Allowed values: "none", "image", "tls", "ondisk", "http", "pubkey", "capabilities", "paths", "seccomp", "all-fetch", "all-run", "all"

--local-config=/etc/rkt
    local configuration directory

--system-config=/usr/lib/rkt
    system configuration directory

--trust-keys-from-https[=false]
    automatically trust gpg keys fetched from https

--user-config=
    user configuration directory

SEE ALSO

rkt(1)

HISTORY

30-Jan-2018 Auto generated by spf13/cobra